diff --git a/docs/src/main/asciidoc/README.adoc b/docs/src/main/asciidoc/README.adoc
index f4958d1b..25b77a08 100644
--- a/docs/src/main/asciidoc/README.adoc
+++ b/docs/src/main/asciidoc/README.adoc
@@ -24,9 +24,9 @@ $ mvn deploy -DaltReleaseDeploymentRepository=repo.spring.io::default::https://r
and for jcenter use
----
+----
$ mvn deploy -DaltReleaseDeploymentRepository=bintray::default::https://api.bintray.com/maven/spring/jars/org.springframework.cloud:build
----
+----
and for Maven Central use
diff --git a/docs/src/main/asciidoc/ghpages.sh b/docs/src/main/asciidoc/ghpages.sh
index 6a05b397..3c41f8c2 100755
--- a/docs/src/main/asciidoc/ghpages.sh
+++ b/docs/src/main/asciidoc/ghpages.sh
@@ -59,6 +59,7 @@ function retrieve_current_branch() {
fi
echo "Current branch is [${CURRENT_BRANCH}]"
git checkout ${CURRENT_BRANCH} || echo "Failed to check the branch... continuing with the script"
+ PREVIOUS_BRANCH=${CURRENT_BRANCH}
}
# Switches to the provided value of the release version. We always prefix it with `v`
@@ -248,7 +249,7 @@ function commit_changes_if_applicable() {
function checkout_previous_branch() {
# If -version was provided we need to come back to root project
cd ${ROOT_FOLDER}
- git checkout ${CURRENT_BRANCH} || echo "Failed to check the branch... continuing with the script"
+ git checkout ${PREVIOUS_BRANCH} || echo "Failed to check the branch... continuing with the script"
if [ "$dirty" != "0" ]; then git stash pop; fi
exit 0
}
@@ -344,8 +345,11 @@ done
assert_properties
set_default_props
check_if_anything_to_sync
-if [[ -z "${VERSION}" ]] ; then
- retrieve_current_branch
+retrieve_current_branch
+if echo $VERSION | egrep -q 'SNAPSHOT' || [[ -z "${VERSION}" ]]; then
+ CLONE=""
+ VERSION=""
+ echo "You've provided a version variable but it's a snapshot one. Due to this will not clone spring-cloud-static and publish docs over there"
else
switch_to_tag
fi
diff --git a/mvnw b/mvnw
index 0a7dac22..25f750cb 100755
--- a/mvnw
+++ b/mvnw
@@ -238,6 +238,14 @@ else
echo $MAVEN_ARGS | grep -q milestone && MAVEN_ARGS=$(echo $MAVEN_ARGS | sed -e 's/-Pmilestone//')
fi
+if echo $VERSION | egrep -q 'RELEASE'; then
+ echo Activating \"central\" profile for version=\"$VERSION\"
+ echo $MAVEN_ARGS | grep -q milestone || MAVEN_ARGS="$MAVEN_ARGS -Pcentral"
+else
+ echo Deactivating \"central\" profile for version=\"$VERSION\"
+ echo $MAVEN_ARGS | grep -q central && MAVEN_ARGS=$(echo $MAVEN_ARGS | sed -e 's/-Pcentral//')
+fi
+
exec "$JAVACMD" \
$MAVEN_OPTS \
-classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
diff --git a/pom.xml b/pom.xml
index 0d0556ec..b091b214 100644
--- a/pom.xml
+++ b/pom.xml
@@ -4,7 +4,7 @@
4.0.0
org.springframework.cloud
spring-cloud-build
- 1.3.1.BUILD-SNAPSHOT
+ 1.3.2.BUILD-SNAPSHOT
pom
Spring Cloud Parent
Spring Cloud parent pom, managing plugins and dependencies for Spring Cloud projects
@@ -20,10 +20,10 @@
UTF-8
${java.version}
${java.version}
- 1.16.6
+ 1.16.14
${basedir}
${project.artifactId}
- 1.5.0.BUILD-SNAPSHOT
+ 1.5.2.RELEASE
jacoco
@@ -177,7 +177,7 @@ limitations under the License.
org.apache.maven.plugins
maven-jar-plugin
- 2.6
+ 3.0.0
@@ -408,9 +408,9 @@ limitations under the License.
scp://static.springframework.org/var/www/domains/springframework.org/static/htdocs/spring-cloud/docs/${project.artifactId}/${project.version}
- repo.spring.io
- Spring Release Repository
- https://repo.spring.io/libs-release-local
+ sonatype-nexus-staging
+ Nexus Release Repository
+ https://oss.sonatype.org/service/local/staging/deploy/maven2/
repo.spring.io
@@ -505,18 +505,6 @@ limitations under the License.
-
-
- sonatype-nexus-snapshots
- Sonatype Nexus Snapshots
- https://oss.sonatype.org/content/repositories/snapshots/
-
-
- sonatype-nexus-staging
- Nexus Release Repository
- https://oss.sonatype.org/service/local/staging/deploy/maven2/
-
-
java8
diff --git a/spring-cloud-build-tools/pom.xml b/spring-cloud-build-tools/pom.xml
index 6ec17755..d88d016e 100644
--- a/spring-cloud-build-tools/pom.xml
+++ b/spring-cloud-build-tools/pom.xml
@@ -11,7 +11,7 @@
org.springframework.cloud
spring-cloud-build
- 1.3.1.BUILD-SNAPSHOT
+ 1.3.2.BUILD-SNAPSHOT
diff --git a/spring-cloud-dependencies-parent/pom.xml b/spring-cloud-dependencies-parent/pom.xml
index 2605a6e9..6d253716 100644
--- a/spring-cloud-dependencies-parent/pom.xml
+++ b/spring-cloud-dependencies-parent/pom.xml
@@ -3,7 +3,7 @@
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
4.0.0
org.springframework.cloud
- 1.3.1.BUILD-SNAPSHOT
+ 1.3.2.BUILD-SNAPSHOT
spring-cloud-dependencies-parent
pom
spring-cloud-dependencies-parent